module.exports = {
  collectCoverage: true,
  moduleFileExtensions: [
    "ts",
    "tsx",
    "js",
    "jsx",
    "json",
    "node",
  ],
  testPathIgnorePatterns: [
    "<rootDir>/lib/",
    "<rootDir>/node_modules/",
  ],
  // Accept anything called .(spec|test).[js]jx? in __tests__ or root (or /lib).
  testRegex: "(/__tests__/.*|(\\.|/)(spec|test))\\.(jsx?|tsx?)$",
  transform: {
    "^.+\\.tsx?$": "ts-jest",
  }
};
